jQuery(document).ready(function(){
  setTimeout('chatBuddyList();', 5000);
  jQuery('#googlechat .status_indicator').live('click, hover', function(){
    jQuery('#googlechat .status_indicator_panel').show();
  });
  jQuery('body').live('click', function(e){
    var clickedParent = jQuery(e.target).parent();
    if(!clickedParent.hasClass("googlechat_subpanel_title") && !clickedParent.hasClass("status_indicator")) {
      jQuery('#googlechat .status_indicator_panel').hide();
    }
  });
  jQuery('#googlechat .status_indicator_panel ul li').live('click', function(){
    var newStatus;
    var $this = jQuery(this);
    if ($this.index() == 0) {
      newStatus = 1;
    }
    else if ($this.index() == 1) {
      newStatus = 2;
    }
    else if ($this.index() == 2) {
      newStatus = 4;
    }
    jQuery.post(Drupal.settings.googlechat.statusUrl, {status: newStatus}, function(data){
      jQuery('#googlechat .status_indicator img:first-child').attr('class', 'googlechatstatus_' + newStatus);
    });
  });
});

function chatBuddyList() {
  jQuery.ajax({
    url: Drupal.settings.googlechat.chatBuddyList,
    cache: false,
    success: function(data) {
      jQuery("#googlechatbuddylist").html(data);
    }
  });
  setTimeout('chatBuddyList();', 5000);
}
